JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.apps.stop('packageName', { deviceId: 'deviceId' });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.apps.stop(
package_name="packageName",
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Apps.Stop(
context.TODO(),
"packageName",
mobileruncloud.DeviceAppStopParams{
DeviceID: "deviceId",
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:apps stop \
--api-key 'My API Key' \
--device-id deviceId \
--package-name packageNamecurl --request PATCH \
--url https://api.mobilerun.ai/devices/{deviceId}/apps/{packageName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearData": true
}
'
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Apps
Stop app
Force-stops the app identified by the path package name. When clearData is set in the request body, the app’s data is also cleared. Protected packages cannot be stopped.
PATCH
/
devices
/
{deviceId}
/
apps
/
{packageName}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.apps.stop('packageName', { deviceId: 'deviceId' });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.apps.stop(
package_name="packageName",
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Apps.Stop(
context.TODO(),
"packageName",
mobileruncloud.DeviceAppStopParams{
DeviceID: "deviceId",
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:apps stop \
--api-key 'My API Key' \
--device-id deviceId \
--package-name packageNameStopping kills every process and service of the app immediately — the same as Force stop in Android settings.
Requests targeting a protected package fail with
clearData: true additionally wipes the app’s local storage (databases, preferences, cache) — the same as Clear data in Android settings. This is irreversible and typically signs you out of the app.403 Forbidden. Not supported on iOS devices.Authorizations
Bearer token via Authorization header
Headers
Required range:
x >= 0Body
application/json
If true, clears all app data (pm clear) in addition to stopping the app.
Response
No Content
Was this page helpful?
⌘I